LP#1306176: force installation of Business::Stripe from CPAN
[working/Evergreen.git] / Open-ILS / src / extras / install / Makefile.debian-squeeze
1 # install files for Debian Squeeze
2
3 DIR = $(dir $(lastword $(MAKEFILE_LIST)))
4 APT_BACKPORT_TOOL = aptitude -t squeeze-backports -yq
5 APT_SAFE_TOOL = aptitude -P
6 APT_TOOL=aptitude -yq
7 YAZ=yaz-4.2.32
8 YAZ_HOST=http://ftp.indexdata.dk/pub/yaz
9
10
11 export DEBS = \
12         apache2-prefork-dev\
13         aspell\
14         aspell-en\
15         libbusiness-creditcard-perl\
16         libbusiness-isbn-data-perl\
17         libbusiness-isbn-perl\
18         libbusiness-issn-perl\
19         libbusiness-onlinepayment-authorizenet-perl\
20         libbusiness-onlinepayment-perl\
21         libdatetime-format-builder-perl\
22         libdatetime-format-iso8601-perl\
23         libdatetime-format-mail-perl\
24         libdatetime-perl\
25         libdatetime-set-perl\
26         libdatetime-timezone-perl\
27         libdbd-pg-perl\
28         libemail-send-perl\
29         libemail-simple-perl\
30         libgd-graph3d-perl\
31         liblocale-maketext-lexicon-perl\
32         liblog-log4perl-perl\
33         libmarc-charset-perl \
34         libmarc-record-perl\
35         libmarc-xml-perl \
36         libncurses5-dev\
37         libnet-ip-perl\
38         libnet-ldap-perl \
39         libnet-server-perl\
40         libnet-ssh2-perl\
41         libnet-z3950-zoom-perl \
42         libnspr4-dev\
43         libole-storage-lite-perl\
44         libparent-perl\
45         libspreadsheet-writeexcel-perl\
46         libssh2-1-dev\
47         libtest-warn-perl\
48         libtest-output-perl\
49         libtext-aspell-perl\
50         libtext-csv-perl\
51         libuniversal-require-perl\
52         libunix-syslog-perl\
53     libuuid-tiny-perl\
54         libyaz-dev\
55         libsoap-lite-perl\
56         libbz2-dev\
57         yaz
58
59 export DEB_APACHE_MODS = \
60     expires\
61     include\
62     proxy\
63     proxy_http\
64     rewrite
65
66 export DEB_APACHE_DISMODS = \
67     deflate
68
69 export CPAN_MODULES = \
70         Business::OnlinePayment::PayPal \
71         Library::CallNumber::LC \
72         Net::Z3950::Simple2ZOOM \
73         RPC::XML \
74         Template::Plugin::POSIX \
75         SRU \
76         Rose::URI \
77         Safe
78
79 export CPAN_MODULES_FORCE = \
80         Business::Stripe \
81         Class::DBI::Frozen::301
82
83 PGSQL_SERVER_DEBS_91 = \
84         postgresql-9.1 \
85         postgresql-contrib-9.1 \
86         postgresql-plperl-9.1 \
87         postgresql-server-dev-9.1
88
89 PGSQL_CLIENT_DEBS_91 = \
90         libpq5 \
91         libpq-dev \
92         postgresql-client-9.1
93
94
95 all: install_pgsql_client_backport_debs_91 install_yaz
96         make -f $(DIR)/Makefile.debian install_debs
97         make -f $(DIR)/Makefile.debian test_for_libdbi_pkg
98         make -f $(DIR)/Makefile.common install_net_z3950_simpleserver
99         make -f $(DIR)/Makefile.common install_cpan
100         make -f $(DIR)/Makefile.common install_cpan_force
101         make -f $(DIR)/Makefile.common install_libdbi
102         make -f $(DIR)/Makefile.debian install_js_sm
103         make -f $(DIR)/Makefile.debian debian_sys_config
104
105 install_yaz:
106         if [ ! -d $(YAZ) ]; then wget $(YAZ_HOST)/$(YAZ).tar.gz; fi;
107         tar xzf $(YAZ).tar.gz
108         cd $(YAZ) && ./configure && make && make install && ldconfig
109
110 install_postgres_server:
111         $(APT_BACKPORT_TOOL) install $(PGSQL_SERVER_DEBS_91)
112
113 install_pgsql_client_backport_debs_91:
114         @if [ `$(APT_TOOL) versions libpq5 | grep ^i|sed 's/^i[ \t]*//'|cut -d. -f1` -eq 8 ]; \
115                 then \
116                 echo -e "libpq5 / libpq-dev are installed as part of OpenSRF (a dependency" \
117                 "of apache2-prefork-dev), but these are the 8.4 versions and they" \
118                 "conflict with the 9.1 versions - so remove them, install the pinned" \
119                 "backports of 9.1, then reinstall the apache2-prefork-dev package.\n\n" \
120                 "**WARNING**: Saying 'Yes' to this step will _remove_ any PostgreSQL" \
121                 "databases that might currently exist on this machine." && \
122                 $(APT_SAFE_TOOL) remove libpq5 libpq-dev ; \
123         fi
124         $(APT_BACKPORT_TOOL) install $(PGSQL_CLIENT_DEBS_91)
125         $(APT_TOOL) install apache2-prefork-dev
126
127 clean:
128         make -f $(DIR)/Makefile.common clean
129         make -f $(DIR)/Makefile.debian clean
130
131 # vim:noet:sw=4:ts=4: